Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commandregistry.CommandRegistry
- orion.commandregistry.ParameterCollector
- orion.commands.Command
- orion.commands.CommandInvocation
- orion.commands.CommandParameter
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.compare.CompareCommandFactory
- orion.compare.CompareOptions
- orion.compare.CompareSyntaxHighlighter
- orion.compare.CompareView
- orion.compare.CompareViewOptions
- orion.compare.DiffProvider
- orion.compare.FileOptions
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compare.toggleableCompareView
- orion.compare.TwoWayCompareView
- orion.compareUtils
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.Deferred
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ActionDescription
- orion.editor.Annotation
- orion.editor.AnnotationIterator
- orion.editor.AnnotationModel
- orion.editor.AnnotationRuler
- orion.editor.AnnotationStyler
- orion.editor.AnnotationType
- orion.editor.AnnotationTypeList
- orion.editor.AsyncStyler
- orion.editor.BlurEvent
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.ContextMenuEvent
- orion.editor.CssContentAssistProvider
- orion.editor.DestroyEvent
- orion.editor.EditOptions
- orion.editor.Editor
- orion.editor.EventTarget
- orion.editor.FindIterator
- orion.editor.FindOptions
- orion.editor.FocusEvent
- orion.editor.FoldingAnnotation
- orion.editor.HTMLContentAssistProvider
- orion.editor.InputManager
- orion.editor.JSTemplateContentAssistProvider
- orion.editor.KeyEvent
- orion.editor.LineNumberRuler
- orion.editor.LineStyleEvent
- orion.editor.ModelChangedEvent
- orion.editor.ModelChangingEvent
- orion.editor.ModifyEvent
- orion.editor.OverviewRuler
- orion.editor.Projection
- orion.editor.ProjectionTextModel
- orion.editor.regex
- orion.editor.Ruler
- orion.editor.ScrollEvent
- orion.editor.Selection
- orion.editor.SelectionEvent
- orion.editor.Style
- orion.editor.StyleRange
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.editor.TextModel
- orion.editor.TextTheme
- orion.editor.TextView
- orion.editor.TextViewOptions
- orion.editor.ThemeChangedEvent
- orion.editor.ThemeStyleSheet
- orion.editor.UndoStack
- orion.editor.VerifyEvent
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.FileExplorer
- orion.explorer.FileExplorer.ModelHandler
- orion.explorer.NavigatorRenderer
- orion.explorer.SelectionRenderer
- orion.explorerNavHandler.ExplorerNavDict
- orion.explorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.form
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.KeyBinding
- orion.KeySequence
- orion.KeyStroke
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.objects
- orion.operation
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.PageLinks
- orion.parametercollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.Promise
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchBuilder
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.searchUtils.SearchParams
- orion.selection.Selection
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sidebar.MiniNavViewMode
- orion.sidebar.Sidebar
- orion.sidebar.ViewMode
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteEditor
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.URITemplate
- orion.util
- orion.webui.dialogs.OpenResourceDialog
- orion.webui.dialogs.OperationsDialog
- orion.webui.littlelib
- orion.widgets.Section
- orion.widgets.settings.SplitSelectionLayout
- orion.xhr
- orion.xhr.Result
- String

# Class orion.ServiceTracker

Simplifies the use of services within a service registry.
Defined in: </shared/eclipse/e4/orion/I201306251555/plugins/org.eclipse.orion.client.core/web/orion/serviceTracker.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.ServiceTracker(serviceRegistry, objectClass) Creates a `ServiceTracker` against the given service registry.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addingService(serviceRef) Called to customize a service object being added to this ServiceTracker.
| close() Stops tracking services.
| getServiceReferences() Returns service references to the services that are being tracked.
| onClose() Called when this ServiceTracker has been closed.
| onOpen() Called when this ServiceTracker has been opened.
| onServiceAdded(serviceRef, service) Called when a service is being added to this ServiceTracker.
| open() Begins tracking services.
| removedService(serviceRef, service) Called when a service has been removed from this ServiceTracker.

Class Detail
orion.ServiceTracker(serviceRegistry, objectClass)
Creates a `ServiceTracker` against the given service registry. The returned `ServiceTracker` will track services whose `objectClass` property contains the given `objectClass` parameter.

After creating a `ServiceTracker`, it can then be #opened to begin tracking services.

The #addingService and #removedService methods can be overridden to customize the service objects being tracked.

Parameters:
{orion.serviceregistry.ServiceRegistry} serviceRegistry
  The service registry to track services of.
{String} objectClass
  The objectClass of services to be tracked.

Method Detail
{Object} addingService(serviceRef)
Called to customize a service object being added to this ServiceTracker. Subclasses may override this method. The default implementation returns the result of calling orion.serviceregistry.ServiceRegistry#getService passing the service reference.

Parameters:
{orion.serviceregistry.ServiceReference} serviceRef
  The reference to the service being added.

Returns:
  {Object} The service object to be tracked for the given service reference. If `null` is returned, the service reference will not be tracked.

close()
Stops tracking services.

{orion.serviceregistry.ServiceReference[]} getServiceReferences()
Returns service references to the services that are being tracked.

Returns:
  {orion.serviceregistry.ServiceReference[]} References to all services that are being tracked by this ServiceTracker.

onClose()
Called when this ServiceTracker has been closed. Subclasses can override this method.

onOpen()
Called when this ServiceTracker has been opened. Subclasses can override this method.

{orion.Promise|undefined} onServiceAdded(serviceRef, service)
Called when a service is being added to this ServiceTracker. Subclasses can override this method to take part in the service's `'serviceAdded'` phase.

Parameters:
{orion.serviceregistry.ServiceReference} serviceRef
  The service reference for the service that is being added.
{Object} service
  The service implementation object that is being added.

Returns:
  {orion.Promise|undefined} This method can optionally return a deferred. If it does, the returned deferred will be added to the service's `serviceAdded` listener queue; in other words, the returned deferred must resolve before any calls to the service's methods can proceed.

open()
Begins tracking services.

removedService(serviceRef, service)
Called when a service has been removed from this ServiceTracker. Subclasses may override this method. The default implementation does nothing.

Parameters:
{orion.serviceregistry.ServiceReference} serviceRef
  The reference to the removed service.
{Object} service
  The service implementation object for the removed service.

Documentation generated by JsDoc Toolkit 2.4.0 on Tue Jun 25 2013 15:58:42 GMT-0400 (EDT)